<?php

namespace Litecms\Leasing\Policies;

use Litecms\Leasing\Models\Lease;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait LeaseAction
{

    /**
     * Determine if the given user can copy the given lease.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function copy(Authenticatable $user, Lease $lease)
    {

        if ($authUser->canDo('leasing.lease.action.copy')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can empty the given lease.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    function empty(Authenticatable $user, Lease $lease) {

        if ($authUser->canDo('leasing.lease.action.empty')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can transfer the given lease.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function transfer(Authenticatable $user, Lease $lease)
    {

        if ($authUser->canDo('leasing.lease.action.transfer')) {
            return true;
        }

        $this->model->is_owner;
    }

}
